Get payment by ID
curl --request GET \
--url https://live.launcx.com/api/v3/payments/{id} \
--header 'x-api-key: <x-api-key>' \
--header 'x-timestamp: <x-timestamp>'import requests
url = "https://live.launcx.com/api/v3/payments/{id}"
headers = {
"x-api-key": "<x-api-key>",
"x-timestamp": "<x-timestamp>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<x-api-key>', 'x-timestamp': '<x-timestamp>'}
};
fetch('https://live.launcx.com/api/v3/payments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": "<string>",
"client_id": "<string>",
"client_wallet_name": "<string>",
"created_at": "2024-01-15T14:30:45Z",
"currency": "<string>",
"expired_at": "2024-01-15T14:30:45Z",
"id": "<string>",
"net_amount": "<string>",
"paid_at": "2024-01-15T14:30:45Z",
"payer_id": "<string>",
"platform_fee": "<string>",
"retrieval_reference_no": "<string>",
"settled_at": "2024-01-15T14:30:45Z",
"status": "<string>",
"updated_at": "2024-01-15T14:30:45Z"
}{
"error": "invalid email or password"
}{
"error": "invalid email or password"
}{
"error": "invalid email or password"
}{
"error": "invalid email or password"
}Payments
Get payment by ID
Retrieves payment details by ID for the authenticated client
GET
/
api
/
v3
/
payments
/
{id}
Get payment by ID
Headers
Client API Key
Unix timestamp in milliseconds
Path Parameters
Payment ID (UUID)
Response
OK
ISO 8601 UTC
Example:
"2024-01-15T14:30:45Z"
ISO 8601 UTC
Example:
"2024-01-15T14:30:45Z"
ISO 8601 UTC, nullable
Example:
"2024-01-15T14:30:45Z"
ISO 8601 UTC, nullable
Example:
"2024-01-15T14:30:45Z"
ISO 8601 UTC
Example:
"2024-01-15T14:30:45Z"
⌘I